summaryrefslogtreecommitdiff
path: root/dev-python/findimports
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-06-03 06:59:33 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-06-03 06:59:33 +0000
commit47edd8ab941a8d8d99e52fcc60d402326e99bd40 (patch)
tree4e1d794df5a803cb26db562cc52e59a11cb492a8 /dev-python/findimports
parent1ac1826d3b4514168c1fd284a0ac2c3e75013417 (diff)
downloadbaldeagleos-repo-47edd8ab941a8d8d99e52fcc60d402326e99bd40.tar.gz
baldeagleos-repo-47edd8ab941a8d8d99e52fcc60d402326e99bd40.tar.xz
baldeagleos-repo-47edd8ab941a8d8d99e52fcc60d402326e99bd40.zip
Adding metadata
Diffstat (limited to 'dev-python/findimports')
-rw-r--r--dev-python/findimports/Manifest1
-rw-r--r--dev-python/findimports/findimports-2.6.0.ebuild27
2 files changed, 28 insertions, 0 deletions
diff --git a/dev-python/findimports/Manifest b/dev-python/findimports/Manifest
index 7ea43abc53a8..7666757cf0ce 100644
--- a/dev-python/findimports/Manifest
+++ b/dev-python/findimports/Manifest
@@ -1 +1,2 @@
DIST findimports-2.5.2.gh.tar.gz 27326 BLAKE2B 452d15cb96d3d04a7a4fba26e65a7b376e5551f9fbd4375f3105530a181a9445d3e83e39116366d4a2607ca61d57b642be395e09b3f179d3c990de0f4eb3ed84 SHA512 260513a56a86da5a811d539761408a39577c717c6cdfc2244aeb6d7ea07878ba4e0b77ca2c8af21d3535aff3ed579e17eaa173510f5e9b192f68dbf05789f27a
+DIST findimports-2.6.0.gh.tar.gz 27787 BLAKE2B 713cd2fac7dea94c7168ee214f4b2b73dac6cab3275015caaa65f2d7eb87d30139a0c6ac6163127182ac22a56c9804dc8afa584bf5cd9cd2c3a2edcc5214a3cd SHA512 711926e8d59268e1b9ce3e8ddfa94852ad05e3c48eb5f2cd41ec0dc20d58dae2c7ee6175b7b90055b94537e6f634cd0de483a2b5d75d007da0c359b05a4b02b7
diff --git a/dev-python/findimports/findimports-2.6.0.ebuild b/dev-python/findimports/findimports-2.6.0.ebuild
new file mode 100644
index 000000000000..99d64a9cd8c2
--- /dev/null
+++ b/dev-python/findimports/findimports-2.6.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module import analysis tool"
+HOMEPAGE="
+ https://github.com/mgedmin/findimports/
+ https://pypi.org/project/findimports/
+"
+SRC_URI="
+ https://github.com/mgedmin/findimports/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+python_test() {
+ "${EPYTHON}" testsuite.py -v || die
+}